Problem {
  Objects {
    Satellite  satellite0;
    Instrument instrument0, instrument1;
    Satellite  satellite1;
    Instrument instrument2, instrument3;
    Mode thermograph0, image1;
    Direction GroundStation0, Star1, Phenomenon2, Star3;
  }

  WorldState {
     Supports(instrument0, image1);
     Supports(instrument0, thermograph0);
     Calibration_Target(instrument0, Star1);
     Supports(instrument1, thermograph0);
     Supports(instrument1, image1);
     Calibration_Target(instrument1, GroundStation0);
     On_Board(instrument0, satellite0);
     On_Board(instrument1, satellite0);

     Supports(instrument2, image1);
     Supports(instrument2, thermograph0);
     Calibration_Target(instrument2, Star1);
     Supports(instrument3, image1);
     Calibration_Target(instrument3, Star1);
     On_Board(instrument2, satellite1);
     On_Board(instrument3, satellite1);
  }

  InitialState{
     Power_Available(satellite0);
     Pointing(satellite0)=Phenomenon2;
     Power_Available(satellite1);
     Pointing(satellite1)=Phenomenon2;
  }

  Goal{
     Pointing(satellite1) == Star3;
     Have_Image(Phenomenon2, image1);
     Have_Image(Star3, thermograph0);
  }
}
